#include <iostream>
#include <fstream>
#include "skeleton2d.h"

using namespace std;

int main(int argc, char **argv)
{
   if(argc!=4){
      cerr<<"Expecting three arguments: input skeleton definition file, input keyframe file, output animation file"<<endl;
      return 1;
   }

   Skeleton2D skeleton;
   {
      ifstream input_skeleton(argv[1]);
      skeleton.read_skeleton(input_skeleton);
   }
   {
      ifstream input_keyframes(argv[2]);
      skeleton.read_keyframes(input_keyframes);
   }
   skeleton.compute_Catmull_Rom_slopes();
   {
      ofstream output_animation(argv[3]);
      skeleton.write_animation(output_animation);
   }
   
   return 0;
}
